Another victim of a FF 3.6.10 bug Rated 5 out of 5 stars

This is one of several add-ons that will not install on Firefox 3.6.10, but that will be grandfathered in. Bizarre.